<?php

/**
 ****************************************************
 * statistics.class.php                             *
 ****************************************************
 * Angora Guestbook                                 *
 ****************************************************
 * Software author :            Adel Noureddine     *
 * Copyright 2005 - 2009 by :   Adel Noureddine     *
 ****************************************************
 * The statistics class file                        *
 ****************************************************
 * */

class Statistics {
	
	private $userAgent;
	private $os;
	private $browser;

	function __construct($userAgent) {
		$this->userAgent = $userAgent;
		$this->calculateStats();
	}
	
	function __destruct() {
		unset($this->userAgent);
		unset($this->os);
		unset($this->browser);
	}

	private function calculateStats() {
		$browser = 'unknown';
		$os = 'unknown';
		
		$browser = (eregi('mozilla', $this->userAgent)) ? 'mozilla' : $browser;
		$browser = (eregi('msie', $this->userAgent)) ? 'ie' : $browser;
		$browser = (eregi('netscape', $this->userAgent)) ? 'netscape' : $browser;
		$browser = (eregi('opera', $this->userAgent)) ? 'opera' : $browser;
		$browser = (eregi('konqueror', $this->userAgent)) ? 'konqueror' : $browser;
		$browser = (eregi('galeon', $this->userAgent)) ? 'galeon' : $browser;
		$browser = (eregi('firefox', $this->userAgent)) ? 'firefox' : $browser;
		$browser = (eregi('links', $this->userAgent)) ? 'links' : $browser;
		$browser = (eregi('safari', $this->userAgent)) ? 'safari' : $browser;
		$browser = (eregi('chrome', $this->userAgent)) ? 'chrome' : $browser;
		
		//Old Windows Systems
		$os = (eregi('windows', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('win9', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('win32', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('windows 9', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('nt 4', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('nt 5.0', $this->userAgent)) ? 'win_old' : $os;
		$os = (eregi('win3', $this->userAgent)) ? 'win_old' : $os;
		
		//New Windows Systems
		$os = (eregi('nt 5.1', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 5.2', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 5.3', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 5.4', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 5.5', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 6.0', $this->userAgent)) ? 'win_new' : $os;
		$os = (eregi('nt 6.1', $this->userAgent)) ? 'win_new' : $os;

		//Linux Systems
		$os = (eregi('linux', $this->userAgent)) ? 'linux' : $os;
		$os = (eregi('suse', $this->userAgent)) ? 'linux_suse' : $os;
		$os = (eregi('debian', $this->userAgent)) ? 'linux_debian' : $os;
		$os = (eregi('redhat', $this->userAgent)) ? 'linux_redhat' : $os;
		$os = (eregi('bsd', $this->userAgent)) ? 'freebsd' : $os;
		$os = (eregi('ubuntu', $this->userAgent)) ? 'ubuntu' : $os;

		if ($os == 'unknown') {
			$os = (eregi('mac', $this->userAgent)) ? 'macos' : $os;
			$os = (eregi('solaris', $this->userAgent)) ? 'solaris' : $os;
			$os = (eregi('unix', $this->userAgent)) ? 'unix' : $os;
			$os = (eregi('macos', $this->userAgent)) ? 'macos' : $os;
			$os = (eregi('mac os', $this->userAgent)) ? 'macos' : $os;
		}
		
		$this->os = $os;
		$this->browser = $browser;
	}

	function getOS() {
		return $this->os;
	}
	
	function getBrowser() {
		return $this->browser;
	}
	
	function getUserAgent() {
		return $this->userAgent;
	}
}

?>