<?php

session_start();

$alphanum = "abcdefghijkmnpqrstuvwxyz0123456789";

// generate the verication code
$rand = substr(str_shuffle($alphanum), 0, 5);

// create the hash for the random number and put it in the session
// but first clear the session field
unset($_SESSION['captcha_value']);
$_SESSION['captcha_value'] = hash('sha1', $rand);

// choose one of four background images
$bgNum = rand(1, 4);

// Create the image from the background
$image = imagecreatefromjpeg("../images/backgrounds/background$bgNum.jpg");

// the text color is black
$textColor = imagecolorallocate ($image, 0, 0, 0);

// choose one of the three fonts
$fontNum = rand(1, 3);

// choose the font
$font = "../images/fonts/font" . $fontNum . ".ttf";

// write the random number
imagettftext($image, 15, 0, 0, 22, $textColor, $font, $rand);

// send several headers to make sure the image is not cached

// Date in the past
header("Expires: Sun, 31 Aug 1997 03:00:00 GMT");

// always modified
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

// HTTP/1.1
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

// HTTP/1.0
header("Pragma: no-cache");

// send the content type header so the image is displayed properly
header('Content-type: image/jpeg');

// send the image to the browser
imagejpeg($image);

// destroy the image to free up the memory
imagedestroy($image);

?>